Name: iproute2
%define major 2.4.7
%define snapshot 020116
Version: %major.20%snapshot
Release: alt3

Summary: Enhanced IP routing and network devices configuration tools
Copyright: GPL
Group: Networking/Other

Source0: ftp://ftp.inr.ac.ru/ip-routing/%name-%major-now-ss%snapshot-try.tar.bz2
Source1: %name-manpages.tar.bz2
Source2: http://luxik.cdi.cz/~devik/qos/htb/v3/htb3.6-020525.tar.bz2

Source11: ftp://ftp.equinox.gu.net/pub/linux/cbq/tcio7.ps.bz2
Source12: guaranteed.ps.bz2 
Source13: http://www.aciri.org/floyd/papers/link.ps.bz2 

Patch0: %name-deb-netlink.patch
Patch1: %name-2.4.7-rh-promisc-allmulti.patch
Patch2: %name-2.4.7-alt-fixes.patch
Patch3: %name-2.4.7-owl-warnings.patch
Patch4: %name-2.4.7-alt-warnings.patch
Patch5: %name-2.4.7-alt-ifcfg.patch

Provides: iproute = %version-%release
Obsoletes: iproute

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Mon Oct 13 2003
BuildRequires: OpenSP libdb4-devel sgml-tools tetex-core tetex-dvips tetex-latex

%description
Linux 2.2+ maintains compatibility with the basic configuration utilities
of the network (ifconfig, route) but a new utility is required to exploit
the new characteristics and features of the kernel, such as policy
routing, fast NAT and packet scheduling.  This package includes the new
utilities (ip, tc, rtmon, rtacct, arpd, ifstat, nstat, rtstat, ss).

%prep
%setup -q -n %name -a1
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

mkdir htb && tar -C htb -xjf %SOURCE2 && patch -p1 <htb/htb3.6_tc.diff

find -type f -name \*.orig -print -delete

%build
%__subst 's/^\(TC_CONFIG_DIFFSERV\)=n$/\1=y/' Config
%make_build
%make_build -C doc
bzip2 -9f doc/*.ps ||:

%__subst 's,/sbin/arping,/usr/sbin/arping,g' examples/dhcp-client-script

%install
%__mkdir_p $RPM_BUILD_ROOT{/sbin,%_sbindir,%_man8dir,%_sysconfdir/%name,%_initdir}

%__install -p -m755 ip/{ip,ifcfg,rtmon} tc/tc $RPM_BUILD_ROOT/sbin/
%__install -p -m755 misc/{arpd,ifstat,nstat,rtacct,rtstat,ss} $RPM_BUILD_ROOT%_sbindir/
%__install -p -m644 etc/%name/* $RPM_BUILD_ROOT%_sysconfdir/%name/
%__install -p -m644 %name-man/*.8 $RPM_BUILD_ROOT%_man8dir/

%__install -p -m644 %SOURCE11 %SOURCE12 %SOURCE13 doc/

%files
/sbin/*
%_sbindir/*
%config(noreplace) %_sysconfdir/%name
%_mandir/man?/*
%doc README* RELNOTES doc/*.bz2 examples

%changelog
* Wed Nov 12 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.7.20020116-alt3
- Fixed netlink issue (CAN-2003-0856).
- Moved CBQ and HTB init scripts to separate packages (#3095).

* Thu Oct 16 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.7.20020116-alt2
- /sbin/ifcfg: fixed potential syntax errors (#2422).

* Wed Oct 15 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.7.20020116-alt1
- Build with TC_CONFIG_DIFFSERV enabled.

* Mon Oct 13 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.7-alt6.ss020116
- Updated to ss020116.
- Packaged new tools: arpd, ifstat, nstat, rtstat, ss.
- Removed obsolete patches:
  rh-config
  pld-owl-ll_types_proto
- Patched to use system headers - included ones seem to be broken.
- cbq.init: ignore config files with dots in their names (#3095).
- Added htb startup script.
- Moved Wondershaper to separate package.

* Wed Aug 27 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.7-alt5.ss010824
- Updated build dependencies, fixed build.

* Wed Feb 05 2003 Andy Gorev <horror@altlinux.ru> 2.4.7-alt4.ss010824
- Script cbq.init updated from v0.6.2 to v0.7.2
- Patch tc for HTB3 support
- Wondershaper scripts added to doc (lartc.org)
- README-cbq-use fix (added to doc)

* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.7-alt3.ss010824
- Rebuilt in new environment.

* Tue Apr 02 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.7-alt2.ss010824
- Updated code to ss010824.
- Fixed build without kernel-source installed.
- Merged in RH patches:
  + %name-2.4.7-rh-config.patch
  + %name-2.4.7-rh-promisc-allmulti.patch
- Merged in Owl patches:
  + %name-2.4.7-pld-owl-ll_types_proto.patch
  + %name-2.4.7-owl-warnings.patch
- Added manpages from Owl.

* Tue Aug 14 2001 Alexander Bokovoy <ab@altlinux.ru> 2.4.7-alt1
- 2.4.7, cbq.init 0.6.2

* Thu Jan 04 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.4-ipl10mdk
- Removed README.cbq-init, it is %_initdir/cbq now.
- Recompressed postscript documentation with bzip2 since
  our postscript viewer (gv) can show bzipped documents.

* Tue Dec 27 2000 Alexander Bokovoy <ab@avilink.net> 2.2.4-ipl9mdk
- Wrong dependency caused by wrong path (/sbin/arping) in example
  script dhcp-client-script fixed.

* Tue Dec 26 2000 Alexander Bokovoy <ab@avilink.net> 2.2.4-ipl8mdk
- Sally Floyd's papers added as well additional docs about CBQ
- cbq.init script integrated (it really should be in this package)

* Thu Oct 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.4-ipl7mdk
- ss001007.
- Merge RH patches.

* Mon Aug 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.4-ipl6mdk
- RE adaptions.

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-6mdk
- fix config files

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-5mdk
- BM

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.2.4-4mdk
- removed _sysconfdir 
- added %clean

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-3mdk
- fix a few typo (chrs scks :-) ) and make this spec short-circuit aware :
  *  _sysconfig/_sysconfdir
  *  creation of subdirs while installing
- Christian Zoffoli <czoffoli@linux-mandrake.com> : macroszifications

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-2mdk
- fix group and files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- mandrake build
- used latest release of 2.2.4 series / 000225
 
* Mon Apr 26 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Added $RPM_OPT_FLAGS
 
* Fri Apr 23 1999 Damien Miller <damien@ibs.com.au>
- Built RPM  
